Subject: [Dhcpv6bis] Use of Transaction-ID in server replies

From: Michael Richardson <[email-masked]>
Date: Thu, 21 Aug 2014 20:28:42 -0400

I believe that the Transaction ID provided by the client to the server,
in for instance, a Solicit, is supposed to be echoed by the server
in it's Advertise.

I think that section 15.1 should say that:

>15.1.  Use of Transaction IDs
>
>   The "transaction-id" field holds a value used by clients and servers
>   to synchronize server responses to client messages.

INSERT:
    When responding to a client message, the server MUST echo the transaction
    ID that the client provided.

INSERT heading:
15.1.2. Generation of Transaction IDs
>   A client SHOULD
>   generate a random number that cannot easily be guessed or predicted
>   to use as the transaction ID for each new message it sends.  Note
>   that if a client generates easily predictable transaction
>   identifiers, it may become more vulnerable to certain kinds of
>   attacks from off-path intruders.  A client MUST leave the transaction
>   ID unchanged in retransmissions of a message.

--
Michael Richardson <[email-masked]>, Sandelman Software Works
 -= IPv6 IoT consulting =-